:root {
    --border-a: 1px solid #22c1c3;
    --color-fontA: #22c1c3;
    --color-fontB: #c69500;
    --color-fontC: #c00;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background: rgb(34, 193, 195);
    background: linear-gradient(197deg, rgba(34, 193, 195, 1) 3%, rgba(248, 253, 45, 1) 97%);
    background-size: 1000%;
    animation: gradient 5s infinite linear;
}

@keyframes gradient {
    0% {
        background-position: 100% 0;
    }

    50% {
        background-position: 0 100%;
    }

    100% {
        background-position: 100% 0;
    }
}

.wrapper {
    height: calc(100vh - 2rem);
    margin: 1rem;
    display: grid;
    grid-template: 1.5fr 5fr 5fr/ 25rem 5fr 5fr;
    grid-template-areas:
    "head  head head"
    "aside main main"
    "aside main main";
    grid-gap: 1rem;
}

.header,
.aside,
.main {
    border: var(--border-a);
    background-color: #e0e0e0;
    border-radius: 5px;
    box-shadow: 5px 5px 9px #afafaf,
    -5px -5px 9px #ffffff;
    font-family: 'PT Sans Narrow', sans-serif;
}

.header {
    grid-area: head;
}

.aside {
    overflow-y: hidden;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    grid-area: aside;
}

.main {
    position: relative;
    grid-area: main;
    height: 100%;
    padding: 0.5rem;
}

.btn {
    user-select: none;
    outline: none;
    margin: 0.5rem 0;
    width: 5rem;
    height: 2rem;
    cursor: pointer;
    border: var(--border-a);
    border-radius: 5px;
    background: #e0e0e0;
    box-shadow: 5px 5px 9px #afafaf,
    -5px -5px 9px #ffffff;
}

.btn a{
    text-decoration: none;
}

.btn:hover {
    background: #fff;
}

.btn:active {
    box-shadow: 2px 2px 6px #afafaf,
    -2px -2px 6px #ffffff;
}

/* drag-and-drop style */
.card-main,
.card-aside {
    border: var(--border-a);
    background-color: #b4deb6;
    padding: 5px;
}

.mn-close {
    padding-bottom: 0.5rem;
}

.card-main {
    display: flex;
    justify-content: right;
    flex-wrap: wrap;
    position: absolute;
    width: 26rem;
    min-height: 15rem;
    cursor: pointer;
    padding: 1rem;
    border-radius: 5px;
    background: #e0e0e0;
    box-shadow: 5px 5px 9px #afafaf,
    -5px -5px 9px #ffffff;
}

.card-main-wrp,
.card-aside-wrp {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* хедер карти main */
.card-main-wrp:first-child {
    padding-right: 0.5rem;
    font-weight: 700;
    color: var(--color-fontA);
    border-bottom: var(--border-a);
}

/* Лівий стовпчик карти main */
.card-main-wrp span:nth-child(1) {
    padding: 0.5rem 1rem 0.5rem 0;
    width: 12rem;
    text-align: left;
}

/* Правий стовпчик карти main */
.card-main-wrp span:nth-child(2) {
    width: 10rem;
    text-align: left;
}

.aside-wrp-padding--boot {
    padding: 0.5rem;
    font-weight: 700;
    color: var(--color-fontA);
}

.card-aside {
    width: 16rem;
    cursor: pointer;
    margin-top: 1rem;
    padding: 0.5rem;
    border-radius: 5px;
    background: #e0e0e0;
    box-shadow: 5px 5px 9px #afafaf,
    -5px -5px 9px #ffffff;
}

.history-box{
    display: flex;
    flex-direction: row;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.date{
    color: #cc0000;
    font-size: 12px;
    width: 40%;
}

hr{
    border-top-color: transparent;
    border-left-color: transparent;
    border-right-color: transparent;
    margin-top: 0.5rem;
    height: 1px;
    color: var(--color-fontA);
}
/* end */

/* header style */
nav,
ul {
    height: 100%;
    width: 100%;
}

.list {
    display: flex;
    align-items: center;
    justify-content: space-between;
    list-style: none;
}

.item {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 9rem;
    height: 3rem;
    padding: 0 1rem;
    margin: 0 2rem;
    cursor: pointer;
    text-decoration: none;
    white-space: nowrap;
}
/* end */

/* aside style */
.enter-form-div--margin,
.form-div--margin {
    display: flex;
    flex-direction: column;
    padding: 0.5rem;
}

#description {
    height: 6rem;
}

aside form {
    z-index: 1;
    display: block;
    width: 15rem;
}

.result-search {
    display: flex;
    justify-content: center;
    align-content: flex-start;
    flex-wrap: wrap;
    margin-left: 0.95rem;
    height: 80%;
    width: 95%;
    overflow-y: scroll;
}

.no-items {
    margin-top: 1rem;
}

.remove {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

}
/* end */

/* modal window css */
.form-div--col {
    display: flex;
    align-content: flex-end;
    justify-content: flex-end;
    flex-wrap: wrap;
    width: 100%;
}

.p-check {
    display: flex;
    justify-content: space-between;
    padding-top: 1rem;
}


.box {
    background-color: #3d4543;
    height: 300px;
    width: 250px;
    border-radius: 5px;
    position: relative;
    top: 80px;
    left: 40%;
}

.display {
    background-color: #222;
    width: 225px;
    position: relative;
    left: 15px;
    top: 20px;
    height: 40px;
}

.mr{
    position: absolute;
    z-index: 1;
    left: 5px;
}

.display input {
    width: 220px;
    position: relative;
    left: 2px;
    top: 2px;
    height: 35px;
    color: black;
    background-color: #bccd95;
    font-size: 21px;
    text-align: right;
}

.auth {
    width: 220px;
    position: relative;
    height: 35px;
    color: black;
    background-color: #bccd95;
    font-size: 21px;
}

.keys {
    position: relative;
    top: 15px;
}

.button {
    width: 40px;
    height: 30px;
    border: none;
    border-radius: 8px;
    margin-top: 17px;
    margin-left: 17px;
    cursor: pointer;
    border-top: 2px solid transparent;
    outline: none;
}

.button.gray {
    color: white;
    background-color: #6f6f6f;
    border-bottom: black 2px solid;
    border-top: 2px #6f6f6f solid;
}

.button.pink {
    color: black;
    background-color: #ff4561;
    border-bottom: black 2px solid;
}

.button.pink.sbm {
    margin-top: 2rem;
    color: white;
    background-color: #303030;
    border-bottom: black 2px solid;
    border-top: 2px #303030 solid;
    width: 220px;
}

.button.black {
    color: white;
    background-color: #303030;
    border-bottom: black 2px solid;
    border-top: 2px #303030 solid;
}

.button.orange {
    color: black;
    background-color: #FF9933;
    border-bottom: black 2px solid;
    border-top: 2px #FF9933 solid;
}

.gray:active {
    border-top: black 2px solid;
    border-bottom: 2px #6f6f6f solid;
}

.pink:active {
    border-top: black 2px solid;
    border-bottom: #ff4561 2px solid;
}

.black:active {
    border-top: black 2px solid;
    border-bottom: #303030 2px solid;
}

.orange:active {
    border-top: black 2px solid;
    border-bottom: #FF9933 2px solid;
}

p {
    line-height: 10px;
}

.check-label{
    color: #bccd95;
    display: block;
    line-height: 2rem;
    margin-left: 1rem;
}